library(dplyr)
library(readr)
consum_girona = read_csv2("consum-2020.csv")


#Investiga quins valors pren les variables Concepte i Tipologia.
distinct(consum_girona,Concepte)
count(consum_girona,Concepte)
distinct(consum_girona,Tipologia)
count(consum_girona,Tipologia)


#1 Selecciona les columnes Concepte, Nom i Gener[€] i ordena la taula resultant segons quant s’ha consumit el mes de gener.
temp = select(consum_girona, Concepte, Nom , GenerE = `Gener[€]`)
arrange(temp, desc(GenerE))

#2 Selecciona les columnes Concepte, Nom i Gener[€] i ordena la taula resultant segons quant s’ha consumit el mes de gener.
arrange(select(consum_girona, Concepte, Nom , GenerE = `Gener[€]`), 
        desc(GenerE))

#3 Selecciona les columnes Concepte, Nom i Gener[€] i ordena la taula resultant segons quant s’ha consumit el mes de gener.
select(consum_girona, Concepte, Nom , GenerE = `Gener[€]`) %>%
arrange(desc(GenerE))


consum_total = filter(consum_girona, Concepte == 'Total')

